summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-system/saytime.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/mv-core/MythVantage-system/saytime.sh')
-rwxr-xr-xabs/mv-core/MythVantage-system/saytime.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-system/saytime.sh b/abs/mv-core/MythVantage-system/saytime.sh
new file mode 100755
index 0000000..39e3599
--- /dev/null
+++ b/abs/mv-core/MythVantage-system/saytime.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+cd /opt/saytime
+if [ ! -e /tmp/timelock ]
+then
+ touch /tmp/timelock
+ ps -ef | grep osd_clock
+ if [ $? = 0 ]
+ then
+ killall -9 osd_clock
+ fi
+
+ date +%r |osd_cat -c green -f -adobe-courier-*-*-*-*-*-*-*-*-*-150-*-* &
+ rm /tmp/timelock
+fi